/*** IDevice class, Cristiaan Kop								 updated 01-01-2017 ***/
/*** ============================================================================== ***/
/*** NAMESPACE: Crealysm::RENDERER													***/
/*** CPP file for the IDevice class implementation									***/

#include "RENDERER/INTERFACES/idevice.h"


namespace Crealysm { namespace RENDERER
{


/**************************************************************************************/
/***								CONSTRUCTOR										***/
/*** ==> usage: when creating a IDevice object										***/
/*** ==> makes the object 'valid'													***/
/**************************************************************************************/

IDevice::IDevice(HWND pHwnd, CRendererSettings *pSettings, const CR_BUFFER_FORMAT pBackBufferFormat, const CR_BUFFER_FORMAT pDepthBufferFormat)
	: mHwnd(pHwnd), mSettings(pSettings), mBackBufferFormat(pBackBufferFormat), mDepthBufferFormat(pDepthBufferFormat)
{
	// nothing todo here
}

/**************************************************************************************/
/***								DESTRUCTOR										***/
/*** ==> usage: when IDevice object is not needed anymore							***/
/*** ==> releases stuff, objects, memory etc. 										***/
/**************************************************************************************/

IDevice::~IDevice()
{ 
	mSettings = nullptr;
}


}
}